/* ICQBot functions
 *
 * (c) 2008, Lev Shisterov
 * This file is provided as is (no warranties).
 */

#if defined _icqbot_included
  #endinput
#endif
#define _icqbot_included

#if AMXX_VERSION_NUM >= 175
 #pragma reqlib icqbot
 #if !defined AMXMODX_NOAUTOLOAD
  #pragma loadlib icqbot
 #endif
#else
 #pragma library icqbot
#endif

/************* Shared Natives Start ********************************/

/* Connect to ICQ service */
native start_icq_client();
/* Send administrative alert */
native send_icq_message(contact[], message[]);
/* Disconnect from ICQ service */
native stop_icq_client();
/* Register "message received" event handler "Handler(from[], message[])" */
native register_icq_message_handler(const handler[]);

/************* Shared Natives End ********************************/
